﻿using UnityEngine;

public class BackgroundScroller : MonoBehaviour
{
    [SerializeField] private float scrollTime = 8f;
    [SerializeField] private Renderer renderer = null;

    private void Update()
    {
        Vector3 current = renderer.material.mainTextureOffset;
        current.x = (current.x - Time.deltaTime / scrollTime) % 1;
        current.y = (current.y + Time.deltaTime / scrollTime) % 1;
        renderer.material.mainTextureOffset = current;
    }
}
