﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class StorableItem : MonoBehaviour {
    private SpriteRenderer itemSpriteRenderer;
    private Collider2D itemCollider;
    [SerializeField] private GameObject littleBeltItem;

    private void Awake () {
        itemSpriteRenderer = this.GetComponent<SpriteRenderer> ();
        //itemCollider = this.GetComponent<Collider2D>();
        littleBeltItem.SetActive (false);
    }

    public void StoreItem () {
        itemSpriteRenderer.enabled = false;
        //itemCollider.enabled = false;
        littleBeltItem.SetActive (true);
    }

    public void TakeItem () {
        itemSpriteRenderer.enabled = true;
        //itemCollider.enabled = true;
        littleBeltItem.SetActive (false);
    }

}