﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class MonsterManager : MonoBehaviour {
    public static MonsterManager monsterManager;

    private bool isMonsterAlive;

    private float random;

    public GameObject monsterPrefab, newMonster;

    [SerializeField] private List<GameObject> playerModulesArray;

    // Start is called before the first frame update
    void Start () {
        monsterManager = this;
    }

    // Update is called once per frame
    void Update () {
        float random = Random.Range (0, 5000);
        if (newMonster == null) {
            if (random < 1) {
                newMonster = Instantiate (monsterPrefab);
                newMonster.transform.SetParent (playerModulesArray[Random.Range (0, 3)].transform);
            }
        } else {
            TimerBehavior.timerBehavior.SpeedUp (0.01f);
            TimerBehavior.timerBehavior.monster.SetActive (true);
        }
    }

    public void ResetNewMonster () {
        newMonster = null;
        TimerBehavior.timerBehavior.monster.SetActive (false);
    }
}