﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ItemsController : MonoBehaviour 
{
    public static ItemsController itemsController;
    [SerializeField] private GameObject[] itemsSlotList;

    private void Awake()
    {
       itemsController = this; 
    }

    public void DisableAllSlots()
    {
        foreach(GameObject item in itemsSlotList)
        {
            item.GetComponent<ItemSlotController>().DisableLock();
        }
    }

    public void EnableAllSlots()
    {
        foreach(GameObject item in itemsSlotList)
        {
            item.GetComponent<ItemSlotController>().EnableLock();
        }
    }
}